petsc-3.10.5 2019-03-28
Report Typos and Errors

# VecTDotEnd

Ends a split phase transpose dot product computation.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecTDotEnd(Vec x,Vec y,PetscScalar *result)

### Input Parameters

| x | - the first vector (can be NULL)
| y | - the second vector (can be NULL)
| result | - where the result will go

### Notes

Each call to VecTDotBegin() should be paired with a call to VecTDotEnd().

seealso: VecTDotBegin(), VecNormBegin(), VecNormEnd(), VecNorm(), VecDot(), VecMDot(), VecDotBegin(), VecDotEnd()

### Level

advanced

### Location

src/vec/vec/utils/comb.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages